<template>
  <div class="page-container">
    <!-- <LinedComponent class="title-container">
      <h1 class="title">فروشگاه پنج نوش</h1>
      <p class="subtitlte">محصولات پنج نوش را با خیالی آسوده خریداری کنید.</p>
    </LinedComponent> -->
    <section class="container">
      <ShopToolbar />
      <div class="shop-view">
        <CategoryNav :categories="categories" />
        <nuxt-child />
      </div>
    </section>
  </div>
</template>

<script>
import ShopToolbar from "@/components/catalog/ShopToolbar";
import CategoryNav from "@/components/catalog/CategoryNav";
import LinedComponent from "@/components/base/LinedComponent";

export default {
  components: {
    ShopToolbar,
    CategoryNav,
    LinedComponent
  },
  head() {
    return {
      title: "فروشگاه"
    }
  },
  async asyncData(context) {
    let categories = [];
    await context.store.dispatch('shop/fetchCategories').then(response => {
      categories = response.data.data;
    }).catch(error => (console.log(error)));
    return {
      categories
    }
  }
};
</script>

<style lang="stylus" scoped>
@import '~assets/styles/variables';

.page-container
  background-color $black
  padding $lg $lg $md
  @media only screen and (max-width: 600px)
    padding $md
  @media only screen and (max-width: 450px)
    padding $md $sm

.container
  background-color $black-darken
  box-shadow $shop-container-shadow

.shop-view
  padding $lg
  direction rtl
  position relative
  overflow hidden
  @media only screen and (max-width: 1000px)
    padding $md
  @media only screen and (max-width: 450px)
    padding $sm

.title-container
  margin-bottom $lg
  color $white
  direction rtl

.title
  margin-bottom $sm
</style>